Find the answer to your Linux question:
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 19
im using Fedora, and i got a radeon 9600 pro... i downloaded the drivers directly from the ATi site... but when im trying 2 install them im getting this error: ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12

    Cant install ATi drivers, getting error...


    im using Fedora, and i got a radeon 9600 pro... i downloaded the drivers directly from the ATi site... but when im trying 2 install them im getting this error:
    File /usr/X11R6/lib/libGL.so.1.2 from install of fglrx_4_3_0-8.10.19-1 conflicts with the file from package xorg-x11-Mesa-libGL-6.7.0-2

    btw im a linux newbie...

  2. #2
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12
    any1 ?!

  3. #3
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77
    Wrote this HOWTO a week or two ago:
    Fedora Core 3 ATI 8.10.19.1-0 drivers HOWTO

    1. Before doing anything read this:
    I am not responsible if it doesn't work with your computer or if your computer becomes unusable! Don't blame me!

    2. OK! Now download these files:
    1) ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    2) ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    3) kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm
    4) kernel-2.6.10-1.770_FC3.i686.rpm

    First three files from here: http://rpm.livna.org/fedora/3/i386/RPMS.unstable/
    And fourth (the kernel) is availible from your favourite fedora mirror (or from kernel.org if you want to compile it for yourself)
    My favourite mirror is ftp.linux.ee, the official Estonian linux mirror
    http://noa.linux.ee/pub/fedora/linux...0_FC3.i686.rpm

    3. Now install the files:
    *) open your terminal and make yourself root: su and then type the followning things:
    1) The kernel: rpm -Uvh kernel-2.6.10-1.770_FC3.i686.rpm
    2) ATI drivers: rpm -ihv ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    3) ATI devel: rpm -ihv ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    4) Kernel module: rpm -ihv kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm

    4. Now reboot your computer, and when it boots up again type in tereminal:
    flgrxinfo (it should say ATI something drivers and version nr)
    glxgears (you should get high fps depending on your graphics card)
    fgl_glxgears

    5. Now go and play!
    EDIT: Corrected a link!

  4. #4
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12
    Ok i managed 2 download all of the files but im getting those errors:
    rpm -Uvh kernel-2.6.10-1.770_FC3.i686.rpm
    error: Failed dependencies:
    mkinitrd >= 4.1.15 is needed by kernel-2.6.10-1.770_FC3
    what seems 2 be the problem? how can i fix it?

  5. #5
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77

  6. #6
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12
    Quote Originally Posted by jvx
    hmm i think i maybe got Fedora Core 2 , not Fedora Core 3.. how can i check and whats the difference in terms of installing stuff?

  7. #7
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77
    You should upgrade to FC3, because it is better, and doing things like updating KDE or installing drivers is much easyer!

    OK, if you have FC2, then download drivers from here: http://rpm.livna.org/fedora/2/i386/RPMS.unstable/
    And mkinitrd for FC2 from here: http://rpmfind.net//linux/RPM/fedora...22-1.i386.html

  8. #8
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12
    Quote Originally Posted by jvx
    You should upgrade to FC3, because it is better, and doing things like updating KDE or installing drivers is much easyer!

    OK, if you have FC2, then download drivers from here: http://rpm.livna.org/fedora/2/i386/RPMS.unstable/
    And mkinitrd for FC2 from here: http://rpmfind.net//linux/RPM/fedora...22-1.i386.html
    how can i upgrade to FC3 ? do i need 2 download Fedora all over again? :'< or i can just upgrade like with windows' service packs?
    and what about the 4th file shall i choose continue working with FC2? dont i need his version for FC2 as well?

  9. #9
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77
    And get kernel from here: http://noa.linux.ee/pub/fedora/linux...pdates/2/i386/
    I think you can somehow upgrade to FC3 from FC2, but I'm not sure!
    Found something here

  10. #10
    Just Joined!
    Join Date
    Apr 2005
    Posts
    12
    Quote Originally Posted by jvx
    And get kernel from here: http://noa.linux.ee/pub/fedora/linux...pdates/2/i386/
    I think you can somehow upgrade to FC3 from FC2, but I'm not sure!
    Found something here
    omg man THANK U VERY VERY MUCH i love u its working \o/ + i can play ET again now ::P

    btw one small thing; how can i enable my microphone ? coz i tried using it in TS2 and it didnt work, its plugged and everything, and i can hear other ppl talking

Page 1 of 2 1 2 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •